package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Representa en el ambito de DDA la respuesta obtenida por SAP al ejecutar el cambio de nombre de Activo Fijo (Titulos) 
 */
public class RespSAPCambiaNombreActivoFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String CodigoSAP;
	private String Status;

	public String getCodigoSAP() {
		return CodigoSAP;
	}
	public void setCodigoSAP(String codigoSAP) {
		CodigoSAP = codigoSAP;
	}
	public String getStatus() {
		return Status;
	}
	public void setStatus(String status) {
		Status = status;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" CodigoSAP: _" + this.getCodigoSAP() + "_" + NEW_LINE);
		result.append(" Status: _" + this.getStatus() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
